# Package

version       = "0.1.0"
author        = "Louis Burke"
description   = "ARCTIC in Nim"
license       = "Apache-2.0"
srcDir        = "src"
installExt    = @["nim"]
bin           = @["arctic", "arctic/load"]
namedBin      = {"arctic": "arctic", "arctic/load": "acdump"}.toTable()

# Dependencies

requires "nim >= 2.0.0"
requires "bio"
requires "itertools"

before build:
    exec "./generate_handle_syscalls.sh"

task docs, "docs":
    exec "nim doc --project --index:on --outdir:src/htmldocs src/arctic.nim"
    exec "multimarkdown -t html doc/documentation.md -o doc/documentation.html"
    exec "multimarkdown -t latex doc/documentation.md -o doc/documentation.tex"
    exec "sed -i 's/^\\[/{\\[}/' doc/documentation.tex"
    exec "cd doc && xelatex -interaction=batchmode documentation.tex"
